Page MenuHomeSolus

Update sip to 6.4.0
ClosedPublic

Authored by YakoYakoYokuYoku on Oct 30 2021, 5:10 AM.

Details

Summary

Changelog:

Signed-off-by: Martin Reboredo <yakoyoku@gmail.com>

Test Plan

Build python-qt6 against it. May require further validation.

Diff Detail

Repository
R2693 python-sip
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

YakoYakoYokuYoku requested review of this revision.Oct 30 2021, 5:10 AM
Girtablulu requested changes to this revision.Nov 7 2021, 10:26 AM
Girtablulu added a subscriber: Girtablulu.

Please test build the packages which depending on python-sip as well

calibre
krita
libarcus
libsavitar
python3-qt5
python-pynest2d
python-qscintilla
python-qtwebengine
python-sip-4
qgis
veusz

This revision now requires changes to proceed.Nov 7 2021, 10:26 AM
algent added a subscriber: algent.Nov 7 2021, 12:32 PM

python-sip-4 doesn't depend on python-sip.
For this testing libarcus libsavitar python-pynest2d qgis and veusz can be excluded.

About python-qscintilla I have a diff in D11745. I can test it with this version of python-sip and add it to this stack.

python3-qt5 and python-qscintilla builds fine against this version of python-sip

Girtablulu accepted this revision.Nov 20 2021, 12:00 PM

thx for testing algent

This revision is now accepted and ready to land.Nov 20 2021, 12:00 PM
This revision was automatically updated to reflect the committed changes.